<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Upload module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
include("adc2000h.inc");
Header("Cache-Control: no-cache, must-revalidate");

$dbase = new ADC_sql; $dbase->connect();

$dbase->query("select usr_id from user where usr_login='$user' and usr_passwd='$passwd'");
list($userID) = $dbase->fetch();
$dbase->free();
if (!$userID || !$c_group || !$ban_id || !$ban_type || !$opr_type) {
  $TITLE = "ERROR";
  $MSG = "<b>ACCESS DENIED</b>";
  page_header();
  include("adcmessage.inc");
  page_footer();
  exit();
}

if ($debug_flag) {
  $upl_timer = new CTimer; 
  $upl_timer->start(); 
}

if ($js_back_x && $js_back_y) {
  Header("Location: adcmember".$fext."?userID=$userID&user=$user&passwd=$passwd&action=banman&lang=$lang");
  exit();
}

if ($js_proceed_x && $js_proceed_y) {
  $js_code = ereg_replace("\\\\","",$js_code);
  if ($js_code) {
    $fd = fopen($filename, "w");
    fwrite($fd, $js_code, strlen($js_code));
    fclose($fd);
  }
  Header("Location: adcmember".$fext."?userID=$userID&user=$user&passwd=$passwd&action=banman&last_action=Uploaded&lang=$lang");
  exit();
}

$dbase->query("select lock_flag,img_length,rich_length,banner_dir,adc_dir,extitle,aemail from server_set");
list($lock_flag,$img_length,$rich_length,$banner_dir,$adc_dir,$extitle,$aemail) = $dbase->fetch();

$dbase->query("select usr_login,usr_passwd,usr_aflag,usr_autoflag from user where usr_id=$userID");
list($login,$pass,$a_flag,$usr_autoflag) = $dbase->fetch();
$dbase->free();

if ($debug_flag) {
  echo "Debug info: internal userID: $userID<br>\n";
  echo "Debug info: internal user: $user<br>\n";
  echo "Debug info: internal passwd: $passwd<br>\n";
  echo "Debug info: in DB Login: $login<br>\n";
  echo "Debug info: in DB Pass: $pass<br>\n";
  echo "Debug info: Active flag: $a_flag<br><br>\n";
  echo "Debug info: Auto-accept flag: $usr_autoflag<br><br>\n";
}

if ($login == $user && $pass == $passwd && $a_flag != 0) {
  $noinput = true;
  if ($UploadBanner != "none")
    $noinput=false;

  if ($noinput) {
    $TITLE = "ERROR";
    $MSG = "<b>$lang_banman_filenot</b>";
    page_header();
    include("adcmessage.inc");
?>
              <form method="POST" action="adcmember<?echo $fext;?>">
                <input type="hidden" name="lang" value="<?echo "$lang";?>">
                <input type="hidden" name="action" value="banman">
                <input type="hidden" name="userID" value="<?echo "$userID";?>">
                <input type="hidden" name="user" value="<?echo "$user";?>">
                <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                <div align="center"><center><p><input type="image" border="0" src="<?echo "$imgsrc";?>back.gif" width="57" height="23"></p>
                </center></div>
              </form>
<?
    page_footer();
    exit();
  }

  if ($ban_type == 1 || $ban_type == 5 || $ban_type == 4)
    $max_length = $img_length;
  else
    $max_length = $rich_length;

  if ($UploadBanner_size > $max_length) {
    $TITLE = "ERROR";
    $MSG = "<b>$lang_banman_len1 $max_length $lang_banman_len2</b>";
    page_header();
    include("adcmessage.inc");
?>
              <form method="POST" action="adcmember<?echo $fext;?>">
                <input type="hidden" name="lang" value="<?echo "$lang";?>">
                <input type="hidden" name="action" value="banman">
                <input type="hidden" name="userID" value="<?echo "$userID";?>">
                <input type="hidden" name="user" value="<?echo "$user";?>">
                <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                <div align="center"><center><p><input type="image" border="0" src="<?echo "$imgsrc";?>edit.gif" width="59" height="23"></p>
                </center></div>
              </form>
<?
    page_footer();
    exit();
  }

  if ($ban_type == 2)
    $ext = substr($UploadBanner_name, -6);
  else
    $ext = substr($UploadBanner_name, -4);

  if ($debug_flag) {
    echo "Debug info: File name: '$UploadBanner_name'<br>\n";
    echo "Debug info: File extention: '$ext'<br>\n";
  }

  if ($opr_type == "new") {
    if ($lock_flag) $dbase->lock(ban_counter);
    $dbase->query("select cnt_value from ban_counter where usr_id=$userID");
    list($cnt_value) = $dbase->fetch();
    $cnt_value += 1;
    $dbase->query("update ban_counter set cnt_value=$cnt_value where usr_id=$userID");
    if ($debug_flag) echo "Debug info: new counter value=$cnt_value<br>\n";
    if ($lock_flag) $dbase->unlock();
  }
  elseif ($opr_type == "edit") {
    $dbase->query("select ban_file,ban_cnt,ban_res from banner where usr_id=$userID and ban_id=$ban_id");
    list($ban_file,$cnt_value,$ban_res) = $dbase->fetch();
    $newban_res = $ban_res;
    if ($debug_flag) echo "Debug info: old counter value=$cnt_value<br>\n";

    if ($ban_type == 5)
      $del_file = INCOMING."sw".$swmbanner_res[$newban_res]."/".$ban_file;
    elseif ($ban_type == 2)
      $del_file = INCOMING.$banner_res[$newban_res]."/".$login."/".$ban_file;
    else
      $del_file = INCOMING.$banner_res[$newban_res]."/".$ban_file;

    // ----| Delete bin file
    if (!@unlink($del_file))
      if ($debug_flag) echo "Debug info: Can't delete the banner from file system<br>\n";
    else 
      if ($debug_flag) echo "Debug info: The banner has been deleted<br>\n";
  }  // elseif ($opr_type == "edit")

  $filename = $login.$cnt_value.$ext;

  if ($file != "none") {
    if ($ban_type == 5)
      @copy($UploadBanner,INCOMING."sw".$swmbanner_res[$newban_res]."/".$filename);
    elseif ($ban_type == 2) {
      $javadir = INCOMING.$banner_res[$newban_res]."/".$login;
/*
      // ----| This is strange code for Japanese version
      $UploadBanner_name = ereg_replace("\\\\","|",$UploadBanner_name);
      $expl = new Exploder(array("|"),$UploadBanner_name);
      $num_fn = $expl->GetNumber() - 1;
      $UploadBanner_name = $expl->m_segments[$num_fn];
*/
      @mkdir($javadir,0777);
      @chmod($javadir,0777);   
      @copy($UploadBanner,INCOMING.$banner_res[$newban_res]."/".$login."/".$UploadBanner_name);
    }
    else
      @copy($UploadBanner,INCOMING.$banner_res[$newban_res]."/".$filename);

    @unlink($UploadBanner);

    $c_time = date("M")." ".date("d")." ".date("Y");

    if ($lock_flag) $dbase->lock(banner);
    if ($usr_autoflag) $ban_acpflag = 1;
    else $ban_acpflag = 2;
    if ($ban_type == 2)
      $dbase->query("update banner set ban_file='$UploadBanner_name',ban_acpflag=$ban_acpflag,ban_cnt=$cnt_value,ban_upload='$c_time' where usr_id=$userID and grp_id=$c_group and ban_id=$ban_id");
    else
      $dbase->query("update banner set ban_file='$filename',ban_acpflag=$ban_acpflag,ban_cnt=$cnt_value,ban_upload='$c_time' where usr_id=$userID and grp_id=$c_group and ban_id=$ban_id");
    if ($lock_flag) $dbase->unlock();

    // ----| Send E-mail to Administrator
    $dbase->query("select ban_name,ban_url,ban_upload,site_title,site_desc from banner where usr_id=$userID and grp_id=$c_group and ban_id=$ban_id");
    list($ban_name,$ban_url,$ban_upload,$site_title,$site_desc) = $dbase->fetch();
    include("$lang_help/mtmpl_banu.inc");
    if (!$debug_nomail)
      mail($aemail,$subject,$body,"From: $aemail\nReply-To: webmaster@$SERVER_NAME\nX-Mailer: PHP/".phpversion());

    if ($debug_flag) {
      echo "Debug info: <b>Banner was uploaded</b><br>\n";
      echo "Debug info: Filename=<b>$filename</b><br>\n";
      echo "Debug info: Java dir:<b>$javadir</b><br>\n";
      echo "Debug info: Upload date: $c_time<br>\n";
      echo "Debug info: Banner resolution: $newban_res<br>\n";
      echo "Debug info: Operation type: '$opr_type'<br>\n";
      $upl_timer->stop();
      echo "<b>Total upload time: ".$upl_timer->elapsed()."</b><br>\n";
      echo "---| SHUTDOWN |---<br>\n";
    }
    else {
      if ($ban_type == 2 || $ban_type == 3 && $opr_type == "new") {
        if ($ban_type == 2)
          $filename = INCOMING.$banner_res[$newban_res]."/".$login."/".$login.$cnt_value.JSEXT;
        else
          $filename = INCOMING.$banner_res[$newban_res]."/".$login.$cnt_value.JSEXT;
        list($ban_width,$ban_height) = select_parse($banner_res[$newban_res],"x");
        page_header();
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" background="images/globalbk.gif" align="center"><b>
                        <font color="<?echo $c_pagenav_HEADER;?>" size="5" face="Verdana,Arial,Helvetica"><?echo $lang_navheader;?><br></font>
                        <font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="2"><?echo $lang_banman_title;?></font></b></td>
                      </tr>
                      <tr>
                        <td width="100%" align="center" valign="top"><table border="0" width="540">
                          <tr>
                            <td width="100%"><form method="POST" action="adcbanupl<?echo $fext;?>">
                            <input type="hidden" name="lang" value="<?echo "$lang";?>">
                            <input type="hidden" name="action" value="<?echo "$action";?>">
                            <input type="hidden" name="filename" value="<?echo "$filename";?>">
                            <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                            <input type="hidden" name="ban_id" value="<?echo "$ban_id";?>">
                            <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                            <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                            <input type="hidden" name="ban_type" value="<?echo "$ban_type";?>">
                            <input type="hidden" name="newban_res" value="<?echo "$newban_res";?>">
                            <input type="hidden" name="userID" value="<?echo "$userID";?>">
                            <input type="hidden" name="user" value="<?echo "$user";?>">
                            <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                            <table border="1" width="100%" cellspacing="0" cellpadding="0" bordercolor="<?echo $c_table_light;?>">
                            <tr>
                            <td width="100%" bgcolor="<?echo $c_table_dark;?>" background="images/globalbk.gif">
                            <font color="<?echo $c_pagenav_AREA;?>" face="Arial"><strong><?echo $lang_banman_setjs;?></strong></font></td>
                            </tr>
                            <tr>
                            <td width="100%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $lang_banman_modjs;?></small></strong></td>
                            </tr>
                            <tr>
                            <td width="100%" bgcolor="<?echo $c_table_dark;?>"><textarea rows="10" name="js_code" cols="60"><?if ($ban_type == 2) {include("adcjavasmp.inc");} else {include("adcflshsmp.inc");}?></textarea></td>
                            </tr>
                            <tr>
                            <td width="100%">
<!--
                            <input type="image" border="0" src="<?echo "$imgsrc";?>back.gif" name="js_back" width="57" height="23">
-->
                            <input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23" name="js_proceed"></td>
                            </tr>
                            </table>
                            </form>
                            </td>
                          </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
        page_footer();
        exit();
      }

      $dbase->free();
      if ($opr_type == "new")
        Header("Location: adcmember".$fext."?userID=$userID&user=$user&passwd=$passwd&action=$action&last_action=Uploaded&lang=$lang&step_qs=$step_qs");
      if ($opr_type == "edit")
        Header("Location: adcmember".$fext."?userID=$userID&user=$user&passwd=$passwd&action=$action&last_action=Uploaded&lang=$lang");
    }
    $dbase->free();
    exit();
  }  // if ($file != "none")
}
else {
  $TITLE = "ERROR";
  $MSG = "<b>ACCESS DENIED</b>";
  page_header();
  include("adcmessage.inc");
  page_footer();
  exit();
}
?>
