<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Banner Management module
-------------------------------- end title ----------------------------------*/
user_check();

if (!$stataction) $stataction = "banstat";
if (!$step) $step = 0;

// ----| Group Management
if ($grp_select_x && $grp_select_y) {
  $dbase->query("select grp_name from ban_group where usr_id=$userID and grp_id=$c_group");
  list($grp_name) = $dbase->fetch();
  $stataction = "banstat";
  $subaction = "banman";
  $dbase->free();
}

if ($grp_new_x && $grp_new_y) {
  $stataction = "banstat";
  if ($bm_gname) {
    $dbase->query("select def_credits from def_ratio");
    list($def_credits) = $dbase->fetch();

    $dbase->query("select lock_flag from server_set");
    list($lock_flag) = $dbase->fetch();

    $dbase->query("select count(*) from category");
    list($cnt_cat) = $dbase->fetch();
    $dbase->query("select count(*) from country");
    list($cnt_cou) = $dbase->fetch();
    $ct = "ct[]=1";
    $cu = "cu[]=1";
    for ($i=0; $i<$cnt_cat; $i++) {
      $ct = $ct."&ct[]=1";
    }
    for ($i=0; $i<$cnt_cou; $i++) {
      $cu = $cu."&cu[]=1";
    }

    $dbase->query("insert into ban_group (usr_id,category_id,grp_name,grp_tcategory,grp_tcountry)
                   values ($userID,$category,'$bm_gname','$ct','$cu')");
    if ($php_version == 3) $grpID = $dbase->rid();
    else {
      $dbase->query("select grp_id from ban_group where usr_id=$userID and category_id=$category and grp_name='$bm_gname' and grp_tcategory='$ct' and grp_tcountry='$cu'");
      list($grpID) = $dbase->fetch();
    }
    $dbase->query("insert into adv_days values ($userID,$grpID,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,".date(j).",0)");

    $dbase->query("insert into adv_months values ($userID,$grpID,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,".date(n).",0)");

    $dbase->query("insert into adv_time values ($userID,$grpID,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,".date(G).",0)");

    $dbase->free();
    $last_action = $lang_banman_err_ngcreate;
  }
  else
    $last_action = $lang_banman_err_grpempty;
}

if ($grp_update_x && $grp_update_y) {
  $stataction = "banstat";
  if ($bm_gname) {
    $dbase->query("select grp_name from ban_group where usr_id=$userID and grp_id=$c_group");
    list($grp_name) = $dbase->fetch();
    if ($grp_name != $main_grp) {
      if ($lock_flag) $dbase->lock(ban_group);
      $dbase->query("update ban_group set grp_name='$bm_gname',category_id=$category where usr_id=$userID and grp_id=$c_group");
      if ($lock_flag) $dbase->unlock();
      $last_action = $lang_banman_err_grpupdate;
    }
    else
      $last_action = $lang_banman_err_cantupd." '$grp_name'. ".$lang_banman_err_basegrp;
  }
  else {
    if ($lock_flag) $dbase->lock(ban_group);
    $dbase->query("update ban_group set category_id=$category where usr_id=$userID and grp_id=$c_group");
    if ($lock_flag) $dbase->unlock();
    $last_action = $lang_banman_err_grpupdate;
  }
}

if ($grp_delete_x && $grp_delete_y) {
  $stataction = "banstat";
  if ($c_group) {
    $dbase->query("select grp_name from ban_group where usr_id=$userID and grp_id=$c_group");
    list($grp_name) = $dbase->fetch();
    if ($grp_name != $main_grp) {
      $dbase->query("select count(*) from banner where usr_id=$userID and grp_id=$c_group");
      list($ban_cnt) = $dbase->fetch();
      if ($ban_cnt <= 0) {
        $dbase->query("delete from ban_group where usr_id=$userID and grp_id=$c_group");
        $dbase->query("delete from adv_days where usr_id=$userID and grp_id=$c_group");
        $dbase->query("delete from adv_months where usr_id=$userID and grp_id=$c_group");
        $dbase->query("delete from adv_time where usr_id=$userID and grp_id=$c_group");
        $last_action = $lang_banman_err_grpdel;
      }
      else
        $last_action = $lang_banman_err_cantdel." '$grp_name'. ".$lang_banman_err_hasbadn;
    }
    else
      $last_action = $lang_banman_err_cantdel." '$main_grp'. ".$lang_banman_err_basegrp;
    $dbase->free();
  }
}

// ----| Banner management
if ($ban_new_x && $ban_new_y) {
  $opr_type = "new";
  $step = 1;
  $stataction = "none";
}

if ($ban_select_x && $ban_select_y) {
  $dbase->query("select ban_type,ban_name,ban_file,ban_res,ban_url,ban_upload,
                 ban_acpflag,ban_reject,site_title,site_desc,ban_clicks,
                 ban_impress from banner where ban_id=$c_banner");
  list($v_ban_type,$v_ban_name,$v_ban_file,$v_ban_res,$v_ban_url,$v_ban_upload,
       $v_ban_acpflag,$v_ban_reject,$v_site_title,$v_site_desc,$v_ban_clicks,
       $v_ban_impress) = $dbase->fetch();
  $dbase->query("select keys_str from keywords where ban_id=$c_banner");
  list($keys_str) = $dbase->fetch();
  $dbase->query("select banner_dir from server_set");
  list($banner_dir) = $dbase->fetch();
  $dbase->free();
  $stataction = "none";
  $subaction2 = "banview";
}

if ($ban_delete_x && $ban_delete_y) {
  if ($c_banner) {
    $dbase->query("select ban_type,ban_file,ban_cnt,ban_res,ban_acpflag from banner where ban_id=$c_banner");
    list($d_ban_type,$d_ban_file,$d_ban_cnt,$d_ban_res,$d_ban_acpflag) = $dbase->fetch();

    if ($d_ban_type == 5) {
      $filename = INCOMING."sw".$swmbanner_res[$d_ban_res]."/".$d_ban_file;
      @unlink($filename);
    }
    elseif ($d_ban_type == 2) {
      $filename = INCOMING.$banner_res[$d_ban_res]."/".$user."/".$d_ban_file;
      @unlink($filename);
      $filename = INCOMING.$banner_res[$d_ban_res]."/".$user."/".$user.$d_ban_cnt.JSEXT;
      @unlink($filename);
      $javadir = INCOMING.$banner_res[$d_ban_res]."/".$user;
      @rmdir($javadir);
    }
    else {
      $filename = INCOMING.$banner_res[$d_ban_res]."/".$d_ban_file;
      @unlink($filename);
    }

    if ($d_ban_type == 3) {
      $filename = INCOMING.$banner_res[$d_ban_res]."/".$user.$d_ban_cnt.JSEXT;
      @unlink($filename);
    }

    $last_action = $lang_banman_err_bandel;

    $dbase->query("delete from banner where ban_id=$c_banner");
    $dbase->query("delete from keywords where ban_id=$c_banner");
    $dbase->query("delete from h_istats where ban_id=$c_banner");
    $dbase->query("delete from h_cstats where ban_id=$c_banner");
    $dbase->query("delete from m_istats where ban_id=$c_banner");
    $dbase->query("delete from m_cstats where ban_id=$c_banner");
    $dbase->query("delete from d_istats where ban_id=$c_banner");
    $dbase->query("delete from d_cstats where ban_id=$c_banner");
    $dbase->free();
  }
  else
    $last_action = $lang_banman_err_banotsel;
}

if ($bant_select_x && $bant_select_y) {
  $step = 2;
  $stataction = "none";
}

if ($newban_proceed_x && $newban_proceed_y) {
  if ($newban_name && $newban_res && $newban_url && $newban_stitle &&
      $newban_desc && $newban_keywords) {
    $dbase->query("insert into banner (grp_id,usr_id,ban_type,ban_name,ban_res,ban_url,site_title,site_desc)
                   values ($c_group,$userID,$c_type,'$newban_name',$newban_res,'$newban_url','$newban_stitle','$newban_desc')");
    if ($php_version == 3) $banID = $dbase->rid();
    else {
      $dbase->query("select ban_id from banner where grp_id=$c_group and usr_id=$userID and ban_type=$c_type and ban_name='$newban_name' and ban_res=$newban_res and ban_url='$newban_url' and site_title='$newban_stitle' and site_desc='$newban_desc'");
      list($banID) = $dbase->fetch();
    }
    $dbase->query("insert into keywords values ($banID,'$newban_keywords')");

    $cr_year = date("Y");
    $cr_month = date("n");
    $cr_day = date("j");
    $cr_date = date(Y."-".m."-".d);
    $cr_mon = date(Y."-".m);

    $dbase->query("insert into h_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
    $dbase->query("insert into h_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
    $dbase->query("insert into d_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_mon')");
    $dbase->query("insert into d_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_mon')");
    $dbase->query("insert into m_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");
    $dbase->query("insert into m_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");

    $step = 3;
    $stataction = "none";
    $last_action = $lang_banman_err_desave;
  }
  else {
    $step = 2;
    $stataction = "none";
    $last_action = $lang_banman_err_plsfill;
  }
}

if ($editban_proceed_x && $editban_proceed_y) {
  if ($editban_name && $editban_url && $editban_stitle &&
      $editban_desc && $editban_keywords) {
    $dbase->query("update banner set ban_name='$editban_name',ban_url='$editban_url',
                   site_title='$editban_stitle',site_desc='$editban_desc' where ban_id=$c_banner");
    $dbase->query("update keywords set keys_str='$editban_keywords' where ban_id=$c_banner");
    $last_action = "The banner has been updated.";
  }
  else {
    $last_action = $lang_banman_err_plsfill;
  }
  $ban_edit_x = 1;
  $ban_edit_y = 1;
}

if ($ban_edit_x && $ban_edit_y) {
  $dbase->query("select ban_type,ban_name,ban_file,ban_res,ban_url,ban_upload,
                 ban_acpflag,site_title,site_desc from banner where ban_id=$c_banner");
  list($e_ban_type,$e_ban_name,$e_ban_file,$e_ban_res,$e_ban_url,$e_ban_upload,
       $e_ban_acpflag,$e_site_title,$e_site_desc) = $dbase->fetch();
  $dbase->query("select keys_str from keywords where ban_id=$c_banner");
  list($keys_str) = $dbase->fetch();
  $dbase->query("select banner_dir from server_set");
  list($banner_dir) = $dbase->fetch();
  $dbase->free();
  $stataction = "none";
  $subaction2 = "editban";
  $opr_type = "edit";
}

if ($ban_move_x && $ban_move_y) {
  $dbase->query("select grp_id,ban_name from banner where ban_id=$c_banner");
  list($mv_grp_id,$mv_ban_name) = $dbase->fetch();
  $subaction = "banman";
  $stataction = "none";
  $subaction2 = "movebanner";
}

if ($moveban_proceed_x && $moveban_proceed_y) {
  $dbase->query("update banner set grp_id=$move_cat where usr_id=$userID and ban_id=$c_banner");
  $last_action = $lang_banman_err_banmove;
  $subaction = "banman";
}

if ($html_proceed_x && $html_proceed_y) {
  if ($html_code) {
    $dbase->query("select lock_flag,banner_dir from server_set");
    list($lock_flg,$banner_dir) = $dbase->fetch();

    if ($lock_flag) $dbase->lock(ban_counter);
    $dbase->query("select cnt_value from ban_counter where usr_id=$userID");
    list($cnt_value) = $dbase->fetch();
    $cnt_value += 1;
    $dbase->query("update ban_counter set cnt_value=$cnt_value where usr_id=$userID");
    if ($lock_flag) $dbase->unlock();
    $dbase->free();

    $filename = $user.$cnt_value.JSEXT;

    $html_code = ereg_replace("\\\\","",$html_code);

    if ($fd = @fopen(INCOMING.$banner_res[$newban_res]."/".$filename, "w")) {
      fwrite($fd, $html_code, strlen($html_code));
      fclose($fd);

      $c_time = date("D")." ".date("d")." ".date("Y");

      if ($lock_flag) $dbase->lock(banner);
      $dbase->query("update banner set ban_file='$filename',ban_acpflag=2,ban_cnt=$cnt_value,ban_upload='$c_time' where usr_id=$userID and grp_id=$c_group and ban_id=$ban_id");
      if ($lock_flag) $dbase->unlock();
      $last_action = $lang_banman_err_uploaded;
    }
    else
      $last_action = $lang_banman_err_cantwrite;
  }
  else {
    $last_action = $lang_banman_err_plsfill;
    $stataction = "none";
    $step = 3;
  }
}
// ----------------------------------------------------------------------------
$NAV_AREA = $lang_banman_title;
$help_full = "banman.html";
$help_cntx = $banman;
page_navigator();

if ($last_action) {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><font color="<?echo $c_last_action;?>"><small><small>
                        <strong>last action: <?echo "$last_action";?></strong></small></small></font></td>
                      </tr>
                    </table>
<?
}
?>
                    <p><big><big><?echo $lang_banman_grpman;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                          <td width="19%" bgcolor="<?echo $c_table_dark1;?>"><small>Group</small></td>
                          <td width="81%" bgcolor="<?echo $c_table_dark1;?>"><small><select name="c_group" size="1">
<?
$dbase->query("select grp_id,grp_name,category_id from ban_group where usr_id=$userID order by grp_name");
while ($row = $dbase->fetch()) {
  echo "                            <option value=\"$row[0]\"";
  if (!$c_group) $c_group = $row[0];
  if ($row[0] == $c_group) { echo " selected"; $category = $row[2]; }
  echo ">$row[1]</option>\n";
}
$dbase->free();
?>
                          </select></small></td>
                        </tr>
                        <tr>
                          <td width="19%" bgcolor="<?echo $c_table_dark1;?>"><small><?echo $lang_banman_grpname;?></small></td>
                          <td width="81%" bgcolor="<?echo $c_table_dark1;?>"><input type="text" name="bm_gname" size="51" maxlength="50"></td>
                        </tr>
                        <tr>
                          <td width="19%" bgcolor="<?echo $c_table_dark1;?>"><small><?echo $lang_banman_grpcat;?></small></td>
                          <td width="81%" bgcolor="<?echo $c_table_dark1;?>"><small><select name="category" size="1">
<?
$dbase->query("select * from category");
while ($row_cat = $dbase->fetch()) {
  echo "                          <option ";
  if ($row_cat[0] == $category) { echo "selected "; $cat_name = $row_cat[1]; }
  echo "value=\"$row_cat[0]\">$row_cat[1]</option>\n";
}
$dbase->free();
?>
                          </select></small></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                          <td width="20%"><input type="image" border="0" name="grp_select" src="<?echo "$imgsrc";?>select.gif" width="73" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="grp_new" src="<?echo "$imgsrc";?>new.gif" width="59" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="grp_update" src="<?echo "$imgsrc";?>update.gif" width="75" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="grp_delete" src="<?echo "$imgsrc";?>delete.gif" width="75" height="23"></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
if ($subaction == "banman") {
?>
                    <p><big><big><?echo $lang_banman_banman;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="<?echo "$subaction";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" height="73" cellspacing="1" cellpadding="0">
                        <tr>
                          <td width="19%" height="19" bgcolor="<?echo $c_table_dark1;?>"><small><?echo $lang_banman_group;?></small></td>
                          <td width="81%" height="19" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo "$grp_name";?></small></strong></td>
                        </tr>
                        <tr>
                          <td width="19%" height="21" bgcolor="<?echo $c_table_dark1;?>"><small><?echo $lang_banman_banner;?></small></td>
                          <td width="81%" height="21" bgcolor="<?echo $c_table_dark1;?>"><select name="c_banner" size="1">
<?
  $dbase->query("select ban_id,ban_name from banner where usr_id=$userID and grp_id=$c_group");
  if ($dbase->num_rows()) {
    while ($row = $dbase->fetch()) {
      echo "                          <option value=$row[0]";
      if ($c_banner==$row[0]) { echo " selected"; $c_banner = $row[0]; }
      echo ">$row[1]</option>\n";
    }
  }
  else {
    echo "                          <option value=\"$lang_banman_notav\">$lang_banman_notav</option>";
    $av_flag = "nope";
  }
  $dbase->free();
?>
                          </select></td>
                        </tr>
                        <tr>
                        <td width="100%" height="21" colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
<?
if ($av_flag != "nope") {
?>
                          <td width="20%"><input type="image" border="0" name="ban_select" src="<?echo "$imgsrc";?>select.gif" width="73" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="ban_edit" src="<?echo "$imgsrc";?>edit.gif" width="59" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="ban_delete" src="<?echo "$imgsrc";?>delete.gif" width="75" height="23"></td>
                          <td width="20%"><input type="image" border="0" name="ban_move" src="<?echo "$imgsrc";?>move.gif" width="69" height="23"></td>
<?
}
?>
                          <td width="20%"><input type="image" border="0" name="ban_new" src="<?echo "$imgsrc";?>new.gif" width="59" height="23"></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        </form>
                        </table>
                      </tr>
                    </table>
<?
}

if ($stataction == "banstat") {
  $dbase->query("select grp_id,ban_name,ban_acpflag from banner where usr_id=$userID");
  if ($ban_cnt = $dbase->num_rows()) {

?>
                        <p><big><big></big><?echo $lang_banman_status;?></big></p>
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_banner;?></small></strong></td>
                          <td width="58%" bgcolor="<?echo $c_table_light;?>"><small><strong><?echo $lang_banman_group;?></strong></small></td>
                          <td width="10%" bgcolor="<?echo $c_table_light;?>" align="center"><strong><small><?echo $lang_banman_status;?></small></strong></td>
                        </tr>
<?
    $trg = new CTrigger;
    $dbase1 = new ADC_sql;
    while($row = $dbase->fetch()) {
      $trg->sw();
      $dbase1->query("select grp_name from ban_group where usr_id=$userID and grp_id=$row[0]");
      list($grp_name) = $dbase1->fetch();
?>
                        <tr>
                          <td width="32%"<?if ($trg->tr_status) echo " bgcolor=\"$c_table_dark1\""; else echo " bgcolor=\"$c_table_dark1_hl\"";?>><small><strong><?echo "$row[1]";?></strong></small></td>
                          <td width="58%"<?if ($trg->tr_status) echo " bgcolor=\"$c_table_dark1\""; else echo " bgcolor=\"$c_table_dark1_hl\"";?>><small><strong><?echo "$grp_name";?></strong></small></td>
                          <td width="10%"<?if ($trg->tr_status) echo " bgcolor=\"$c_table_dark1\""; else echo " bgcolor=\"$c_table_dark1_hl\"";?> align="center">
<?
if ($row[2] == 0)
  echo "                          <img border=\"0\" src=\"images/notyet.gif\" width=\"16\" height=\"15\" alt=\"Not uploaded\"></td>\n";
if ($row[2] == 1)
  echo "                          <img border=\"0\" src=\"images/accept.gif\" width=\"16\" height=\"15\" alt=\"Accepted\"></td>\n";
if ($row[2] == 2)
  echo "                          <img border=\"0\" src=\"images/notyet.gif\" width=\"16\" height=\"15\" alt=\"Uploaded but not accepted yet\"></td>\n";
if ($row[2] == 3)
  echo "                          <img border=\"0\" src=\"images/reject.gif\" width=\"16\" height=\"15\" alt=\"Rejected\"></td>\n";
?>
                        </tr>
<?
    }  // while($row = $dbase->fetch())
?>
                        </table>
                        </td>
<?
  }  // if ($ban_cnt = $dbase->num_rows())
  else {
?>
                        <p><big><big><?echo $lang_banman_snoban;?></big></big></p>
<?
  }
  $dbase->free();
}

if ($subaction2 == "banview") {
?>
                    <p><big><big><?echo $lang_banman_curbanner;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                          <td width="100%" valign="top" align="left">
<?
list($ban_width,$ban_height) = select_parse($banner_res[$v_ban_res],"x");
if ($v_ban_type == 1)
  echo "                          <img src=\"$banner_dir".$banner_res[$v_ban_res]."/".$v_ban_file."\" width=\"$ban_width\" height=\"$ban_height\" border=\"0\"></td>\n";

if ($v_ban_type == 2) {
?>
                          <script>
                            document.write("<base target=_blank>");
                            document.write("<applet codebase='<?echo "$banner_dir".$banner_res[$v_ban_res]."/".$user."/";?>' code=\"<?echo "$v_ban_file";?>\" width=\"<?echo "$ban_width";?>\" height=\"<?echo "$ban_height";?>\">");
                            document.write("</applet>");
                          </script>
<?
}

if ($v_ban_type == 3) {
?>
                          <script>
                            document.write('<OBJECT align=left classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000 codeBase=http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0 height=<?echo "$ban_height";?> id=TD width=<?echo "$ban_width";?>>');
                            document.write('<PARAM NAME="movie" VALUE="<?echo "$banner_dir".$banner_res[$v_ban_res]."/".$v_ban_file;?>">');
                            document.write('<PARAM NAME="quality" VALUE="high">');
                            document.write('<embed src="<?echo "$banner_dir".$banner_res[$v_ban_res]."/".$v_ban_file;?>" quality=high width=<?echo "$ban_width";?> height=<?echo "$ban_height";?> type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" align="right">');
                            document.write('</embed>');
                            document.write('</OBJECT>');
                          </script>
<?
}

if ($v_ban_type == 4) {
?>
                          <script>
                            document.write('<script language=JavaScript src="<?echo "$banner_dir".$banner_res[$v_ban_res]."/".$v_ban_file;?>"><\/script>');
                          </script>
<?
}

if ($v_ban_type == 5) {
  list($ban_width,$ban_height) = select_parse($swmbanner_res[$v_ban_res],"x");
  echo "                          <img src=\"$banner_dir"."sw".$swmbanner_res[$v_ban_res]."/".$v_ban_file."\" width=\"$ban_width\" height=\"$ban_height\" border=\"0\"></td>\n";
}
?>
                        </tr>
                        </table>
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_group;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo "$grp_name";?></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><small><strong><?echo $lang_banman_baname;?></strong></small></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><small><strong><?echo "$v_ban_name";?></strong></small></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_banuplat;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo "$v_ban_upload";?></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo $lang_banman_bantype;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo "$banner_type[$v_ban_type]";?></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_banres;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?if ($v_ban_type != 5) echo "$banner_res[$v_ban_res]"; else echo "$swmbanner_res[$v_ban_res]";?></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo $lang_banman_banimpress;?></font></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo "$v_ban_impress";?></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_banclicks;?></font></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo "$v_ban_clicks";?></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><small><strong><?echo $lang_banman_ctr;?></font></strong></small></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?if ($v_ban_impress) echo number_format(($v_ban_clicks/$v_ban_impress)*100,2); else echo "0";?> %</font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><small><strong><?echo $lang_banman_url;?></font></strong></small></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><a href="<?echo "$v_ban_url";?>" target="_blank"><?echo "$v_ban_url";?></a></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo $lang_banman_sitetitle;?></font></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo "$v_site_title";?></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_sitedesc;?></font></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo "$v_site_desc";?></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo $lang_banman_keywords;?></font></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo "$keys_str";?></font></small></strong></td>
                        </tr>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><?echo $lang_banman_cstatus;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1_hl;?>" valign="top"><strong><small><font color="<?echo $c_banner_status;?>">
<?
if ($v_ban_acpflag == 0) echo "                          $lang_banman_cs_notupl";
if ($v_ban_acpflag == 1) echo "                          $lang_banman_cs_acc";
if ($v_ban_acpflag == 2) echo "                          $lang_banman_cs_noacc";
if ($v_ban_acpflag == 3) echo "                          $lang_banman_cs_rej";
?>
                          </font></small></strong></td>
                        </tr>
<?
if ($v_ban_acpflag == 3) {
?>
                        <tr>
                          <td width="32%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><strong><small><?echo $lang_banman_rejreason;?></small></strong></td>
                          <td width="68%" bgcolor="<?echo $c_table_dark1;?>" valign="top"><small><strong><font color="<?echo $c_banner_status;?>"><?echo "$v_ban_reject";?></font></strong></small></td>
                        </tr>
<?
}
?>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($step == 1) {
?>
                    <p><big><big><?echo $lang_banman_nban1;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellpadding="0" cellspacing="1">
                        <tr>
                        <td width="100%" background="images/globalbk.gif"><font color="<?echo $c_pagenav_AREA;?>" face="Arial">
                        <strong><?echo $lang_banman_umant;?></strong></font></td>
                        </tr>
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_seltban;?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><select name="c_type" size="1">
<?
$num = count($banner_type);
for ($i=1; $i<=$num; $i++)
  echo "                          <option value=\"$i\">$banner_type[$i]</option>\n";
?>
                        </select></td>
                        <td width="90%"><input type="image" border="0" name="bant_select" src="<?echo "$imgsrc";?>select.gif" width="73" height="23"></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($step == 2) {
?>
                    <p><big><big><?echo $lang_banman_nban2;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>"<?if ($ban_validator) {echo " onsubmit=\"return Form_Validator(this)\"";}?>>
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="c_type" value="<?echo "$c_type";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                        <td width="100%" colspan="2"><table border="0" width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                        <td width="100%" valign="top" align="left" background="images/globalbk.gif">
                        <font color="<?echo $c_pagenav_AREA;?>"><strong><?echo $lang_banman_umand;?></strong></font></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo $lang_banman_group;?></strong></small></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo "$grp_name";?></strong></small></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo $lang_banman_type;?></strong></small></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo "$banner_type[$c_type]";?></strong></small></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_baname;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><input type="text" name="newban_name" size="39" maxlength="50" ONFOCUS="if (value == '<?echo $lang_english;?>') {value =''}" ONBLUR="if (value == '') {value = '<?echo $lang_english;?>'}" value="<?echo $lang_english;?>"></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_banres;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><select name="newban_res" size="1">
<?
if ($c_type == 5) {
  $num = count($swmbanner_res);
  for ($i=1; $i<=$num; $i++)
    echo "                          <option value=\"$i\">$swmbanner_res[$i]</option>\n";
}
else {
  $num = count($banner_res);
  for ($i=1; $i<=$num; $i++)
    echo "                          <option value=\"$i\">$banner_res[$i]</option>\n";
}
?>
                        </select></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_url;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="newban_url" size="39" maxlength="100" value="http://"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_sitetitle;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="newban_stitle" size="39" maxlength="40"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_sitedesc;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="newban_desc" size="39" maxlength="150"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_keywords;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="newban_keywords" size="39" maxlength="200" ONFOCUS="if (value == '<?echo $lang_banman_keysmpl;?>') {value =''}" ONBLUR="if (value == '') {value = '<?echo $lang_banman_keysmpl;?>'}" value="<?echo $lang_banman_keysmpl;?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right">
                        <input type="image" border="0" name="newban_proceed" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<script language='javascript'>
function Form_Validator(f) {
if (window.RegExp) {
  var reg = new RegExp("[0-9A-Za-z]+","g");
  if (!reg.test(f.elements['newban_name'].value)) {
    alert("<?echo $lang_banman_err_baname;?>");
    f.elements['newban_name'].focus();
    return(false);
  }
}}
</script>
<?
}

if ($step == 3) {
?>
                    <p><big><big><?echo $lang_banman_nbam3;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
<?
  if ($c_type != 4) {
?>
                        <td width="100%"><form method="POST" encType="multipart/form-data" action="adcbanupl<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                        <input type="hidden" name="ban_id" value="<?echo "$banID";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="ban_type" value="<?echo "$c_type";?>">
                        <input type="hidden" name="newban_res" value="<?echo "$newban_res";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                        <td width="100%" background="images/globalbk.gif"><font color="<?echo $c_pagenav_AREA;?>" face="Arial">
                        <strong><?echo $lang_banman_umanu;?></strong></font></td>
                        </tr>
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_uplyour;?> <font color="<?echo $c_banner_status;?>"><?echo "$banner_type[$c_type]";?></font></small><br>
                        <small><?echo $lang_banman_banmust;?> <?if ($c_type == 5) echo "$swmbanner_res[$newban_res] "; else "$banner_res[$newban_res] "; if ($c_type == 1) echo $file_types[1]; elseif ($c_type == 2) echo $file_types[3]; elseif ($c_type == 3) echo $file_types[2]; elseif ($c_type == 5) echo $file_types[1];?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="20%"><input type="file" name="UploadBanner"></td>
                        <td width="80%"><input type="image" border="0" src="<?echo "$imgsrc";?>upload_b.gif" name="imgban_upload" width="130" height="23"></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        </table>
                        </form>
                        </td>
<?
  }
  else {
    $dbase->query("select adc_dir from server_set");
    list($adc_dir) = $dbase->fetch();
    list($ban_width,$ban_height) = select_parse($banner_res[$newban_res],"x");
?>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                        <input type="hidden" name="ban_id" value="<?echo "$banID";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="c_type" value="<?echo "$c_type";?>">
                        <input type="hidden" name="newban_res" value="<?echo "$newban_res";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark1;?>" background="images/globalbk.gif">
                        <font color="<?echo $c_pagenav_AREA;?>"><strong><?echo $lang_banman_umans;?></strong></font></td>
                        </tr>
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_jscode;?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark1;?>"><textarea rows="8" name="html_code" cols="56"><?include("adchtmlsmp.inc");?></textarea></td>
                        </tr>
                        <tr>
                        <td width="100%"><input type="image" border="0" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23" name="html_proceed"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
<?
  }
?>
                      </tr>
                    </table>
<?
}

if ($subaction2 == "editban") {
?>
                    <p><big><big><?echo $lang_banman_banedit;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="<?echo "$subaction";?>">
                        <input type="hidden" name="opr_type" value="<?echo "$opr_type";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="c_banner" value="<?echo "$c_banner";?>">
                        <input type="hidden" name="c_type" value="<?echo "$c_type";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="100%" valign="top" align="left">
<?
list($ban_width,$ban_height) = select_parse($banner_res[$e_ban_res],"x");

if ($e_ban_acpflag) {
  if ($e_ban_type == 1)
    echo "                          <img src=\"$banner_dir".$banner_res[$e_ban_res]."/".$e_ban_file."\" width=\"$ban_width\" height=\"$ban_height\" border=\"0\"></td>\n";

  if ($e_ban_type == 2) {
?>
                          <script>
                            document.write("<base target=_top>");
                            document.write("<applet codebase='<?echo "$banner_dir".$banner_res[$e_ban_res]."/".$user."/";?>' code=\"<?echo "$e_ban_file";?>\" width=\"<?echo "$ban_width";?>\" height=\"<?echo "$ban_height";?>\">");
                            document.write("</applet>");
                          </script>
<?
  }

  if ($e_ban_type == 3) {
?>
                          <script>
                            document.write('<OBJECT align=left classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000 codeBase=http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0 height=<?echo "$ban_height";?> id=TD width=<?echo "$ban_width";?>>');
                            document.write('<PARAM NAME="movie" VALUE="<?echo "$banner_dir".$banner_res[$e_ban_res]."/".$e_ban_file;?>">');
                            document.write('<PARAM NAME="quality" VALUE="high">');
                            document.write('<embed src="<?echo "$banner_dir".$banner_res[$e_ban_res]."/".$e_ban_file;?>" quality=high width=<?echo "$ban_width";?> height=<?echo "$ban_height";?> type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" align="right">');
                            document.write('</embed>');
                            document.write('</OBJECT>');
                          </script>
<?
  }

  if ($e_ban_type == 4) {
?>
                          <script>
                            document.write('<script language=JavaScript src="<?echo "$banner_dir".$banner_res[$e_ban_res]."/".$e_ban_file;?>"><\/script>');
                          </script>
<?
  }

  if ($e_ban_type == 5) {
    list($ban_width,$ban_height) = select_parse($swmbanner_res[$e_ban_res],"x");
    echo "                          <img src=\"$banner_dir"."sw".$swmbanner_res[$e_ban_res]."/".$e_ban_file."\" width=\"$ban_width\" height=\"$ban_height\" border=\"0\"></td>\n";
  }
}
else
  echo "                          <img src=\"\" width=\"$ban_width\" height=\"$ban_height\" border=\"0\" alt=\"Not uploaded\"></td>\n";
?>
                        </tr>
                        </table>
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo $lang_banman_group;?></strong></small></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo "$grp_name";?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_baname;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="editban_name" size="39" maxlength="15" value="<?echo "$e_ban_name";?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_url;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="editban_url" size="39" maxlength="100" value="<?echo "$e_ban_url";?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_sitetitle;?></small></strong></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="editban_stitle" size="39" maxlength="40" value="<?echo "$e_site_title";?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo $lang_banman_sitedesc;?></strong></small></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="editban_desc" size="39" maxlength="150" value="<?echo "$e_site_desc";?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="32%" bgcolor="<?echo $c_table_dark1;?>"><small><strong><?echo $lang_banman_keywords;?></strong></small></td>
                        <td width="68%" bgcolor="<?echo $c_table_dark1;?>"><strong><input type="text" name="editban_keywords" size="39" maxlength="200" value="<?echo "$keys_str";?>"></strong></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="right">
                        <input type="image" border="0" name="editban_proceed" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction2 == "movebanner") {
?>
                    <p><big><big><?echo $lang_banman_banmove;?></big></big></p>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="<?echo "$subaction";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo "$c_group";?>">
                        <input type="hidden" name="c_banner" value="<?echo "$c_banner";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <table width="100%" cellspacing="1" cellpadding="0">
                        <tr>
                        <td width="17%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_banner;?></small></strong></td>
                        <td width="83%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo "$mv_ban_name";?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="17%" bgcolor="<?echo $c_table_dark1;?>"><strong><small><?echo $lang_banman_moveto;?></small></strong></td>
                        <td width="83%" bgcolor="<?echo $c_table_dark1;?>"><select name="move_cat" size="1">
<?
$dbase->query("select grp_id,grp_name from ban_group where usr_id=$userID");
while ($row = $dbase->fetch()) {
  echo "                            <option value=$row[0]";
  if ($row[0] == $mv_grp_id) echo " selected";
  echo ">$row[1]</option>\n";
}
$dbase->free();
?>
                        </select></td>
                        </tr>
                        <tr>
                        <td width="100%" colspan="2" align="left"><strong>
                        <input type="image" border="0" name="moveban_proceed" src="<?echo "$imgsrc";?>move.gif" width="69" height="23"></strong></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}
?>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
