<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Member module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
include("adc2000h.inc");
Header("Cache-Control: no-cache, must-revalidate");

$dbase = new ADC_sql; $dbase->connect();

// ------[ Global variables for Navigator
$NAV_HEADER = $lang_navheader;
$nav_user = "adcmember";
$nav_menu = $main_menu;

switch ($action) {
  case "genstats":
    include("adcmgstats.inc");
    break;
  case "monstats":
    include("adcmmstats.inc");
    break;
  case "daystats":
    include("adcmdstats.inc");
    break;
  case "hourstats":
    include("adcmhstats.inc");
    break;

  case "htmlcode":
    include("adchtmlcod.inc");
    break;
  case "perman":
    include("adcmperman.inc");
    break;

  case "banman":
    include("adcmbanman.inc");
    break;
  case "tasman":
    include("adcmtasman.inc");
    break;
  case "adtman":
    include("adcmadtman.inc");
    break;

  case "intro":
    include("adcmintrod.inc");
    break;
  case "qstart":
    include("adcmqstart.inc");
    break;

  case "faqsys":
    include("adcmfaqsys.inc");
    break;
  case "supsys":
    include("adcmsupsys.inc");
    break;
  case "mailist":
    include("adcmailist.inc");
    break;
  case "counter":
    include("adcmcountr.inc");
    break;
  case "tx2000":
    include("adcmtx2000.inc");
    break;
  case "popupx":
    include("adcmpopupx.inc");
    break;
  case "startx":
    include("adcmstartx.inc");
    break;

  case "bakidx":
    Header("Location: index$fext?lang=$lang");
    break;
}

page_footer();
?>
