<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Counter module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");

if ($uid == "") exit();

// ----| Connect to database
$dbase = new ADC_sql; $dbase->connect();

// ----| Get server's settings
$dbase->query("select adc_dir,banner_dir from server_set");
list($adc_dir,$banner_dir) = $dbase->fetch();
//$counter_bgr = $banner_dir."adc2000/counter.png";
$counter_bgr = INCOMING."adc2000/counter.png";

$dbase->query("select usr_aflag,total_visitors,unique_visitors from user,count where user.usr_id=$uid and count.usr_id=$uid");
list($ac_flag,$t_vis,$u_vis) = $dbase->fetch();

if ($ac_flag) {
  $dbase->query("select ip from ip_table where usr_id=$uid");
  while ($row = $dbase->fetch())
    if (ereg($row[0],$REMOTE_ADDR)) $yes = 1;
  if ($yes != 1) {
    $dbase->query("insert into ip_table values ($uid,'$REMOTE_ADDR')");
    $u_vis = $u_vis + 1;
  }
  $t_vis = $t_vis + 1;
  $dbase->query("update count set total_visitors=$t_vis,unique_visitors=$u_vis where usr_id=$uid");
}

$dbase->free();

if ($t_vis < 10) {
$length=1; $str = "00000000";
} elseif ($t_vis > 9 AND $t_vis < 100) {
$length=2; $str = "0000000";
} elseif ($t_vis > 99 AND $t_vis < 1000) {
$length=3; $str = "000000";
} elseif ($t_vis > 999 AND $t_vis < 10000) {
$length=4; $str = "00000";
} elseif ($t_vis > 9999 AND $t_vis < 100000) {
$length=5; $str = "0000";
} elseif ($t_vis > 99999 AND $t_vis < 1000000) {
$length=6; $str = "000";
} elseif ($t_vis > 999999 AND $t_vis < 10000000) {
$length=7; $str = "00";
} elseif ($t_vis > 9999999 AND $t_vis < 100000000) {
$length=8; $str = "0";
} else {
$length=9; $str = "";
} 

Header("Content-type: image/png");
Header("Cache-Control: no-cache, must-revalidate");

if ($counter_file)
  $im = imagecreatefrompng($counter_bgr);
if (!$im) {
  $im = imagecreate(80,40);
  $blue = imagecolorallocate($im, 0, 0, 170); 
  $white = imagecolorallocate($im, 255, 255, 255); 
  imagefill($im, 0, 0, $white);
  imageline($im, 0, 0, 0, 39, $blue);
  imageline($im, 0, 39, 79, 39, $blue);
  imageline($im, 79, 39, 79, 0, $blue);
  imagefilledrectangle($im, 0, 0, 80, 19, $blue);
  imagestring($im, 3, 2, 3, "ADC Counter", $white);
}

$str = $str."$t_vis";
imagestring($im, 3, 8, 22, $str, $blue);

ImagePNG($im);
ImageDestroy($im);
?>
