<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* PopUp Exchange module
-------------------------------- end title ----------------------------------*/
user_check();

if (!$subaction) $subaction = "pop_global";
if (!$c_day) $c_day = date(d);
if (!$c_month) $c_month = date(m);
if (!$c_year) $c_year = date(Y);

// ----| Update module
$dbase->query("select count(usr_id) from popup_stats where usr_id=$userID"); list($chk_var) = $dbase->fetch();
if ($chk_var <= 0) {
  $c_date = date(Y."-".m."-".d); $c_day = date("d")." ".date("M")." ".date("Y");
  $dbase->query("select pop_defratio,pop_startbonus from server_set_popup");
  list($pop_defratio,$pop_startbonus) = $dbase->fetch();
  $dbase->query("insert into popup_stats values ($userID,'$c_day',0,0)");
  $dbase->query("insert into popup_credits (usr_id,pop_credits,pop_ratio) values ($userID,$pop_startbonus,'$pop_defratio')");
}
// ----| End

switch ($subaction) {
  case "pop_global":
    if ($pop_reset_x && $pop_reset_y) {
      $dbase->query("update popup_stats set pop_totalpv=0 where usr_id=$userID");
    }
    $dbase->query("select pop_jdate,pop_totalpv,pop_totalps,pop_credits,pop_ratio,pop_lastadd from popup_stats,popup_credits where popup_stats.usr_id=$userID and popup_credits.usr_id=$userID");
    list($pop_jdate,$pop_totalpv,$pop_totalps,$pop_credits,$pop_exratio,$pop_lastadd) = $dbase->fetch();
    break;

  case "pop_monthly":
    $w_counter = 12;
    break;

  case "pop_daily":
    $w_counter = lastday(date($c_month),date($c_year));
    $c_date = $c_year."-".$c_month;
    break;

  case "pop_hourly":
    $hour_c = 1;
    $w_counter = 24;
    $c_date = $c_year."-".$c_month."-".$c_day;
    $hour = array("12:00am","1:00am","2:00am","3:00am","4:00am","5:00am","6:00am","7:00am","8:00am","9:00am","10:00am","11:00am",
                  "12:00pm","1:00pm","2:00pm","3:00pm","4:00pm","5:00pm","6:00pm","7:00pm","8:00pm","9:00pm","10:00pm","11:00pm");
    break;

  case "pop_manage":
    if ($tx_new_x && $tx_new_y && $ad_text && $ad_url) {
      $dbase->query("select count(*) from banner_tx where usr_id=$userID");
      list($chk_num) = $dbase->fetch();
      if ($chk_num > 0)
        $dbase->query("update banner_tx set txb_text='$ad_text',txb_aflag=0,txb_url='$ad_url' where usr_id=$userID");
      else
        $dbase->query("insert into banner_tx (usr_id,txb_text,txb_aflag,txb_url) values ($userID,'$ad_text',0,'$ad_url')");
    }
    if ($tx_remove_x && $tx_remove_y) {
      $num = count($TXR);
      if ($num) {
        for ($i=0; $i<$num; $i++)
          $dbase->query("delete from banner_tx where usr_id=$userID and txb_id=$TXR[$i]");
      }
    }
    $dbase->query("select txb_id,txb_text,txb_aflag,txb_url from banner_tx where usr_id=$userID");
    $num = $dbase->num_rows();
    break;

  case "pop_gethtml":
    $dbase->query("select adc_dir,extitle from server_set");
    list($adc_dir,$extitle) = $dbase->fetch();
    if ($tx_set_x && $tx_set_y && $tx_bgcol && $tx_fncol) {
      $dbase->query("update tx_set set txs_bgcol='$tx_bgcol',txs_fncol='$tx_fncol',txs_linew=$tx_boxw,txs_speed=$tx_speed where usr_id=$userID");
    }
    $dbase->query("select txs_bgcol,txs_fncol,txs_linew,txs_speed from tx_set where usr_id=$userID");
    list($tx_bgcol,$tx_fncol,$tx_boxw,$tx_speed) = $dbase->fetch();
    break;
}

// ----------------------------------------------------------------------------
$NAV_AREA = $lang_popup_title;
$help_full = "popup.html";
$help_cntx = $popupx;
page_navigator();
?>
                <table border="0" width="540">
                  <tr>
                    <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                      <input type="hidden" name="lang" value="<?echo "$lang";?>">
                      <input type="hidden" name="action" value="<?echo "$action";?>">
                      <input type="hidden" name="userID" value="<?echo "$userID";?>">
                      <input type="hidden" name="user" value="<?echo "$user";?>">
                      <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                      <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%"><font size="5"><?echo $lang_popup_nav;?></font></td>
                        <td width="50%"><div align="right"><table border="0" width="20%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="50%"><input type="image" border="0" src="<?echo "$imgsrc";?>goto.gif" width="70" height="23"></td>
                        <td width="50%"><select name="subaction" size="1">
<?
$num = count($pop_menu);
$tmp_flg = 0;
for ($i=0; $i<$num; $i++) {
  $mn = select_parse($pop_menu[$i],"|");
  echo "                          <option";
  if (!$tmp_flg || $subaction==$mn[1]) { echo " selected"; $tmp_flg = 1; }
  echo " value=\"$mn[1]\">$mn[0]</option>\n";
}
?>
                        </td>
                        </tr>
                        </table>
                        </div></td>
                        </tr>
                      </table>
                    </form>
                    </td>
                  </tr>
                </table>
<?
if ($subaction == "pop_global") {
?>
                <table border="0" width="100%" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="100%"><font size="5"><?echo $lang_gstats_glbstats;?></font></td>
                  </tr>
                  <tr>
                    <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="50%" align="left"><small><strong><?echo $lang_gstats_jdate;?></small></strong></td>
                        <td width="50%" align="right"><small><strong><?echo $pop_jdate;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="50%" bgcolor="<?echo $c_table_dark;?>" align="left"><small><strong><?echo $lang_popup_totalpv;?></small></strong></td>
                        <td width="50%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><strong><?echo $pop_totalpv;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="100%" align="right" colspan="2"><form method="POST" action="adcmember<?echo $fext;?>">
                          <input type="hidden" name="lang" value="<?echo "$lang";?>">
                          <input type="hidden" name="action" value="<?echo "$action";?>">
                          <input type="hidden" name="subaction" value="<?echo "$subaction";?>">
                          <input type="hidden" name="userID" value="<?echo "$userID";?>">
                          <input type="hidden" name="user" value="<?echo "$user";?>">
                          <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                          <p><input type="image" border="0" src="<?echo "$imgsrc";?>reset.gif" name="pop_reset" width="105" height="23"></p>
                        </td>
                        </form>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>

                <table border="0" width="100%" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="100%"><font size="5"><br><?echo $lang_gstats_credinfo;?></font></td>
                  </tr>
                  <tr>
                    <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="50%" align="left"><small><strong><?echo $lang_popup_credits;?></small></strong></td>
                        <td width="50%" align="right"><small><strong><?echo $pop_credits;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="50%" bgcolor="<?echo $c_table_dark;?>" align="left"><small><strong><?echo $lang_popup_lastadd;?></small></strong></td>
                        <td width="50%" bgcolor="<?echo $c_table_dark;?>" align="right"><small><strong><?echo $pop_lastadd;?></small></strong></td>
                      </tr>
                      <tr>
                        <td width="50%" align="left"><small><strong><?echo $lang_popup_exratio;?></small></strong></td>
                        <td width="50%" align="right"><small><strong><?echo $pop_exratio;?></small></strong></td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>

                <table border="0" width="100%" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="100%"><font size="5"><br><?echo $lang_gstats_aflinfo;?></font></td>
                  </tr>
                  <tr>
                    <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<?echo $c_table_light;?>">
                      <tr>
                        <td width="50%" align="left"><small><strong><?echo $lang_popup_totalps;?></small></strong></td>
                        <td width="50%" align="right"><small><strong><?echo $pop_totalps;?></small></strong></td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                </table>
<?
}

if ($subaction == "pop_monthly") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="pop_monthly">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_mstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>

<?
/*
  if ($GD_flag) {
*>
                    <div align="center"><center><table border="0" width="90%" cellpadding="4" cellspacing="0">
                      <tr>
                        <td width="50%" align="center"><img src="adcmly_grf<?echo "$fext?b_id=$c_banner&amp;out=i&amp;col=orange&amp;c_year=$c_year";?>" width="220" height="150"></td>
                        <td width="50%" align="center"><img src="adcmly_grf<?echo "$fext?b_id=$c_banner&amp;out=c&amp;col=green&amp;c_year=$c_year";?>" width="220" height="150"></td>
                      </tr>
                    </table>
                    </center>
                    </div>
<*
  }
*/
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                          <td width="33%"><strong><small><?echo $lang_mstats_month;?></small></strong></td>
                          <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from popup_m_istats where usr_id=$userID and i_lu_year='$c_year'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  for ($i=0; $i<12; $i++) {
?>
                        <tr>
                          <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo "$all_months[$i]";?></small></strong></td>
                          <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
  }
?>
                        <tr>
                          <td width="100%" colspan="3" background="images/globalbk.gif">
                          <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_mstats_msfor $user (year $c_year)";?></font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "pop_daily") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="pop_daily">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="530" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="10%"><select name="c_month" size="1">
                        <option <?if ($c_month == "01") echo "selected ";?>value="01">January</option>
                        <option <?if ($c_month == "02") echo "selected ";?>value="02">February</option>
                        <option <?if ($c_month == "03") echo "selected ";?>value="03">March</option>
                        <option <?if ($c_month == "04") echo "selected ";?>value="04">April</option>
                        <option <?if ($c_month == "05") echo "selected ";?>value="05">May</option>
                        <option <?if ($c_month == "06") echo "selected ";?>value="06">June</option>
                        <option <?if ($c_month == "07") echo "selected ";?>value="07">July</option>
                        <option <?if ($c_month == "08") echo "selected ";?>value="08">August</option>
                        <option <?if ($c_month == "09") echo "selected ";?>value="09">September</option>
                        <option <?if ($c_month == "10") echo "selected ";?>value="10">October</option>
                        <option <?if ($c_month == "11") echo "selected ";?>value="11">November</option>
                        <option <?if ($c_month == "12") echo "selected ";?>value="12">December</option>
                        </select></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_dstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
/*
  if ($GD_flag) {
*>
                    <div align="center"><center><table border="0" width="90%" cellspacing="0" cellpadding="4">
                      <tr>
                        <td width="100%" align="center"><img src="adcdly_grf<?echo "$fext?b_id=$c_banner&amp;out=i&amp;col=orange&amp;c_date=$c_date";?>" width="420" height="150"></td>
                      </tr>
                    </table>
                    </center>
                    </div>
                    <div align="center"><center><table border="0" width="90%" cellspacing="0" cellpadding="4">
                      <tr>
                        <td width="100%" align="center"><img src="adcdly_grf<?echo "$fext?b_id=$c_banner&amp;out=c&amp;col=green&amp;c_date=$c_date";?>" width="420" height="150"></td>
                      </tr>
                    </table>
                    </center>
                    </div>
<*
  }
*/
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                          <td width="33%"><strong><small><?echo $lang_dstats_date;?></small></strong></td>
                          <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from popup_d_istats where usr_id=$userID and d_date='$c_date'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  while ($w_counter) {
?>
                        <tr>
                          <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $st_pointer;?></small></strong></td>
                          <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
    $w_counter -= 1;
  }
?>
                        <tr>
                          <td width="100%" colspan="3" background="images/globalbk.gif">
                          <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_dstats_dsfor $user (".$c_date;?>)</font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "pop_hourly") {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="subaction" value="pop_hourly">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <div align="left"><table border="0" width="530" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="10%"><input type="image" border="0" src="<?echo "$imgsrc";?>getstats.gif" width="96" height="23"></td>
                        <td width="10%"><input type="text" name="c_day" size="3" value="<?echo $c_day;?>" maxlength="2"></td>
                        <td width="10%"><select name="c_month" size="1">
<?
  $mn_cnt = 1;
  for ($i=0; $i<=11; $i++) {
?>
                        <option <?if ($mn_cnt == $c_month) echo "selected ";?>value="<?echo $mn_cnt;?>"><?echo $all_months[$i];?></option>
<?
    $mn_cnt += 1;
  }
?>
                        </select></td>
                        <td width="*"><input type="text" name="c_year" size="4" value="<?echo "$c_year";?>" maxlength="4"><strong>
                        <font face="Times New Roman"> <?echo $lang_hstats_year;?></font></strong></td>
                        </tr>
                        </table>
                        </div>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
/*
  if ($GD_flag) {
*>
                    <div align="center"><center><table border="0" width="90%" cellspacing="0" cellpadding="4">
                      <tr>
                        <td width="100%" align="center"><img src="adchly_grf<?echo "$fext?b_id=$c_banner&amp;out=i&amp;col=orange&amp;c_date=$c_date";?>" width="385" height="150"></td>
                      </tr>
                    </table>
                    </center>
                    </div>
                    <div align="center"><center><table border="0" width="90%" cellspacing="0" cellpadding="4">
                      <tr>
                        <td width="100%" align="center"><img src="adchly_grf<?echo "$fext?b_id=$c_banner&amp;out=c&amp;col=green&amp;c_date=$c_date";?>" width="385" height="150"></td>
                      </tr>
                    </table>
                    </center>
                    </div>
<*
  }
*/
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%">
                        <tr>
                        <td width="33%"><strong><small><?echo $lang_hstats_time;?></small></strong></td>
                        <td width="33%" align="right"><strong><small><?echo $lang_popup_mstats;?></small></strong></td>
                        </tr>
<?
  $dbase->query("select * from popup_h_istats where usr_id=$userID and h_date='$c_date'");
  $row_impress = $dbase->fetch();
  $dbase->free();
  $st_pointer = 1;
  while ($w_counter) {
    $h_tempo = $hour_c - 1;
?>
                        <tr>
                        <td width="33%" bgcolor="<?echo $c_table_dark;?>"><strong><small><?echo $hour[$h_tempo];?></small></strong></td>
                        <td width="33%" align="right" bgcolor="<?echo $c_table_dark;?>"><strong><small><?if (!$row_impress[$st_pointer]) echo "0"; else echo $row_impress[$st_pointer];?></small></strong></td>
                        </tr>
<?
    $st_pointer += 1;
    $w_counter -= 1;
    $hour_c += 1;
  }
?>
                        <tr>
                        <td width="100%" colspan="3" background="images/globalbk.gif">
                        <font size="2" color="<?echo $c_table_note;?>" face="Arial"><?echo "$lang_hstats_hsfor $user (".$c_date;?>)</font></td>
                        </tr>
                        </table>
                        </td>
                      </tr>
                    </table>
<?
}

if ($subaction == "pop_gethtml") {
?>
    <table border="0" width="100%" height="48" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" height="18"><font size="5"><?echo $lang_popup_htmlcode;?></font></td>
      </tr>
      <tr>
        <td width="100%" height="12" bgcolor="<?echo $c_table_dark;?>"><small><?echo $lang_popup_htmlinfo;?>:</small></td>
      </tr>
      <tr>
        <td width="100%" height="9"><textarea rows="5" name="html_code" cols="65"><!--Begin <?echo $extitle;?> PopUp code-->
&lt;script type=&quot;text/javascript&quot; language=&quot;Javascript&quot; src=&quot;<?echo $adc_dir;?>eng_adcpop<?echo $fext;?>?uid=<?echo $userID;?>&quot;&gt;&lt;/script&gt;
<!--End <?echo $extitle;?> PopUp code-->
</textarea></td>
      </tr>
    </table>
<?
}
?>
                   </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
