<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Step by Step module : Quick Start
-------------------------------- end title ----------------------------------*/
user_check();


//$last_action = "Max length must be 20000 bytes";

if (!$step_qs) $step_qs = 1;

if ($step_qs == 2) {
  $dbase->query("select category from category where category_id=$category");
  list($cat_name) = $dbase->fetch();
  $dbase->query("select grp_id,grp_name from ban_group where category_id=$category and usr_id=$userID");
  $num = $dbase->num_rows();
  if ($num) list($grp_id,$grp_name) = $dbase->fetch();
  else {
    $dbase->query("select grp_acounter from user where usr_id=$userID");
    list($grp_acounter) = $dbase->fetch();

    // ----| Insert a new autogroup with selected category
    $grp_name = $auto_grp."-$grp_acounter";
    $dbase->query("update user set grp_acounter=grp_acounter+1 where usr_id=$userID");

    $dbase->query("select def_credits from def_ratio");
    list($def_credits) = $dbase->fetch();

    $dbase->query("select count(*) from category");
    list($cnt_cat) = $dbase->fetch();
    $dbase->query("select count(*) from country");
    list($cnt_cou) = $dbase->fetch();
    $ct = "ct[]=1";
    $cu = "cu[]=1";
    for ($i=0; $i<$cnt_cat; $i++) {
      $ct = $ct."&ct[]=1";
    }
    for ($i=0; $i<$cnt_cou; $i++) {
      $cu = $cu."&cu[]=1";
    }

    $dbase->query("insert into ban_group (usr_id,category_id,grp_name,grp_tcategory,grp_tcountry)
                   values ($userID,$category,'$grp_name','$ct','$cu')");
    if ($php_version == 3) $grp_id = $dbase->rid();
    else {
      $dbase->query("select grp_id from ban_group where usr_id=$userID and category_id=$category and grp_name='$grp_name'");
      list($grp_id) = $dbase->fetch();
    }
    $dbase->query("insert into adv_days values ($userID,$grp_id,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,".date(j).",0)");

    $dbase->query("insert into adv_months values ($userID,$grp_id,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,".date(n).",0)");

    $dbase->query("insert into adv_time values ($userID,$grp_id,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,$def_credits,
                   $def_credits,".date(G).",0)");

    $dbase->free();

  }
}

if ($step_qs == 3) {
  if ($newban_name && $newban_res && $newban_url && $newban_stitle &&
      $newban_desc && $newban_keywords) {
    $dbase->query("insert into banner (grp_id,usr_id,ban_type,ban_name,ban_res,ban_url,site_title,site_desc)
                   values ($grp_id,$userID,1,'$newban_name',$newban_res,'$newban_url','$newban_stitle','$newban_desc')");
    if ($php_version == 3) $banID = $dbase->rid();
    else {
      $dbase->query("select ban_id from banner where grp_id=$grp_id and usr_id=$userID and ban_type=1 and ban_name='$newban_name' and ban_res=$newban_res and ban_url='$newban_url' and site_title='$newban_stitle' and site_desc='$newban_desc'");
      list($banID) = $dbase->fetch();
    }
    $dbase->query("insert into keywords values ($banID,'$newban_keywords')");

    $cr_year = date("Y");
    $cr_month = date("n");
    $cr_day = date("j");
    $cr_date = date(Y."-".m."-".d);
    $cr_mon = date(Y."-".m);

    $dbase->query("insert into h_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
    $dbase->query("insert into h_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
    $dbase->query("insert into d_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_mon')");
    $dbase->query("insert into d_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_mon')");
    $dbase->query("insert into m_istats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");
    $dbase->query("insert into m_cstats values ($banID,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");
  }
  else {
    $step_qs = 2;
    $last_action = $lang_banman_err_plsfill;
  }
}

// ----------------------------------------------------------------------------
$NAV_AREA = $lang_sbs_title;
$help_full = "quickstart.html";
$help_cntx = $quickstart;
page_navigator();

if ($step_qs == 1) {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" background="images/globalbk.gif">
                      <tr>
                        <td width="100%" align="center"><b><font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="3"><?echo $lang_sbs_qs_title;?><br></font>
                        <font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="2"><?echo $lang_sbs_qs_step;?> #1 <?echo $lang_sbs_qs_of;?> 4</font></b></td>
                      </tr>
                    </table>
                    <table border="0" width="100%" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_an;?>:</td>
                      </tr>
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_1;?></td>
                      </tr>
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <input type="hidden" name="step_qs" value="2">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="20%" valign="middle" bgcolor="<?echo $c_table_light;?>"><small><?echo $lang_sbs_grpc;?></small></td>
                        <td width="80%" bgcolor="<?echo $c_table_light;?>"><small><select name="category" size="1">
<?
  $dbase->query("select * from category");
  while ($row_cat = $dbase->fetch()) {
    echo "                          <option ";
    if ($row_cat[0] == $category) { echo "selected "; $cat_name = $row_cat[1]; }
    echo "value=\"$row_cat[0]\">$row_cat[1]</option>\n";
  }
  $dbase->free();
?>
                        </select></small></td>
                        </tr>
                        <tr>
                        <td width="100%" align="right" colspan="2" bgcolor="<?echo $c_table_light;?>">
                        <input type="image" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23" name="btn_step1"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($step_qs == 2) {
?>
                    <table border="0" width="100%" background="images/globalbk.gif" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" align="center"><b><font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="3"><?echo $lang_sbs_qs_title;?><br></font>
                        <font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="2"><?echo $lang_sbs_qs_step;?> #2 <?echo $lang_sbs_qs_of;?> 4</font></b></td>
                      </tr>
                    </table>
                    <table border="0" width="100%" cellpadding="0">
<?
  if ($last_action) {
?>
                      <tr>
                        <td width="100%"><font color="<?echo $c_last_action;?>"><small>
                        <strong>last action: <?echo "$last_action";?></strong></small></font></td>
                      </tr>
<?
  }
?>
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_an;?>:</td>
                      </tr>
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_2;?></td>
                      </tr>
                      <tr>
                        <td width="100%"><form method="POST" action="adcmember<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <input type="hidden" name="step_qs" value="3">
                        <input type="hidden" name="category" value="<?echo $category;?>">
                        <input type="hidden" name="grp_id" value="<?echo $grp_id;?>">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_group;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo "$grp_name";?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_category;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo "$cat_name";?></small></strong></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_baname;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><input type="text" name="newban_name" size="58" maxlength="50" ONFOCUS="if (value == '<?echo $lang_english;?>') {value =''}" ONBLUR="if (value == '') {value = '<?echo $lang_english;?>'}" value="<?echo $lang_english;?>"></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_banres;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><select name="newban_res" size="1">
<?
  $num = count($banner_res);
  for ($i=1; $i<=$num; $i++)
    echo "                          <option value=\"$i\">$banner_res[$i]</option>\n";
?>
                        </select></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_url;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><input type="text" name="newban_url" size="58" maxlength="100" value="http://"></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_sitetitle;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><input type="text" name="newban_stitle" size="58" maxlength="40"></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_sitedesc;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><input type="text" name="newban_desc" size="58" maxlength="150"></td>
                        </tr>
                        <tr>
                        <td width="30%" bgcolor="<?echo $c_table_light;?>"><strong><small><?echo $lang_banman_keywords;?></small></strong></td>
                        <td width="70%" bgcolor="<?echo $c_table_light;?>"><input type="text" name="newban_keywords" size="58" maxlength="200" ONFOCUS="if (value == '<?echo $lang_banman_keysmpl;?>') {value =''}" ONBLUR="if (value == '') {value = '<?echo $lang_banman_keysmpl;?>'}" value="<?echo $lang_banman_keysmpl;?>"></td>
                        </tr>
                        <tr>
                        <td width="100%" align="right" bgcolor="<?echo $c_table_light;?>" colspan="2">
                        <input type="image" src="<?echo "$imgsrc";?>proceed.gif" width="83" height="23" name="btn_step2"></td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($step_qs == 3) {
?>
                    <table border="0" width="100%" background="images/globalbk.gif" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" align="center"><b><font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="3"><?echo $lang_sbs_qs_title;?><br></font>
                        <font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="2"><?echo $lang_sbs_qs_step;?> #3 <?echo $lang_sbs_qs_of;?> 4</font></b></td>
                      </tr>
                    </table>
                    <table border="0" width="100%" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_an;?>:</td>
                      </tr>
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_3;?></td>
                      </tr>
                      <tr>
                        <td width="100%"><form method="POST" encType="multipart/form-data" action="adcbanupl<?echo $fext;?>">
                        <input type="hidden" name="lang" value="<?echo "$lang";?>">
                        <input type="hidden" name="action" value="<?echo "$action";?>">
                        <input type="hidden" name="opr_type" value="new">
                        <input type="hidden" name="ban_id" value="<?echo "$banID";?>">
                        <input type="hidden" name="grp_name" value="<?echo "$grp_name";?>">
                        <input type="hidden" name="c_group" value="<?echo $grp_id;?>">
                        <input type="hidden" name="ban_type" value="1">
                        <input type="hidden" name="newban_res" value="<?echo $newban_res;?>">
                        <input type="hidden" name="userID" value="<?echo "$userID";?>">
                        <input type="hidden" name="user" value="<?echo "$user";?>">
                        <input type="hidden" name="passwd" value="<?echo "$passwd";?>">
                        <input type="hidden" name="step_qs" value="4">
                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="85%" bgcolor="<?echo $c_table_light;?>"><table border="0" width="100%" cellspacing="0" cellpadding="0">
                        <tr>
                        <td width="20%"><input type="file" name="UploadBanner"></td>
                        <td width="80%"><input type="image" src="<?echo "$imgsrc";?>upload_b.gif" width="130" height="23" name="ban_upload"></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
                        </table>
                        </form>
                        </td>
                      </tr>
                    </table>
<?
}

if ($step_qs == 4) {
?>
                    <table border="0" width="100%" cellspacing="0" cellpadding="0" background="images/globalbk.gif">
                      <tr>
                        <td width="100%" align="center"><b><font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="3"><?echo $lang_sbs_qs_title;?><br></font>
                        <font color="<?echo $c_pagenav_AREA;?>" face="Verdana,Arial,Helvetica" size="2"><?echo $lang_sbs_qs_step;?> #4 <?echo $lang_sbs_qs_of;?> 4</font></b></td>
                      </tr>
                    </table>
                    <table border="0" width="100%" cellpadding="0">
                      <tr>
                        <td width="100%" bgcolor="<?echo $c_table_dark;?>"><?echo $lang_sbs_qs_4;?><p align="center"><em><b><?echo $lang_sbs_qs_nice;?></b></em></td>
                      </tr>
                    </table>
<?
}
?>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
