<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* PopUp Redirection module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");

if ($uid == "") exit();
if ($tid == "") exit();

// ----| Connect to database
$dbase = new ADC_sql; $dbase->connect();

// ----| Get server's settings
$dbase->query("select lock_flag,adc_dir,extitle from server_set");
list($lock_flg,$target_url,$extitle) = $dbase->fetch();
$dbase->query("select pop_defratio,pop_delay from server_set_popup");
list($pop_defratio,$pop_delay) = $dbase->fetch();
$pop_delay = $pop_delay*60;

$dbase->query("select usr_id,ban_url from banner where ban_id=$tid");
list($pop_user,$pop_url) = $dbase->fetch();

// ----| Update total stats
$c_day = date(Y."-".m."-".d);
$dbase->query("select popts_today,popts_day from total_stats_popup");
list($popts_today,$popts_day) = $dbase->fetch();
if ($popts_day == $c_day) $popts_today += 1;
else $popts_today = 0;
$dbase->query("update total_stats_popup set popts_total=popts_total+1,popts_today=$popts_today,popts_day='$c_day'");
$dbase->query("update popup_stats set pop_totalpv=pop_totalpv+1 where usr_id=$uid");
$dbase->query("update popup_stats set pop_totalps=pop_totalps+1 where usr_id=$pop_user");

// ----| Credits
list($ratio_x,$ratio_y) = select_parse($pop_defratio,":");
if (!$ratio_y) $imp_ratio = $ratio_x;
else $imp_ratio = $ratio_x/$ratio_y;
$dbase->query("update popup_credits set pop_credits=pop_credits+$imp_ratio where usr_id=$uid");
$dbase->query("update popup_credits set pop_credits=pop_credits-1 where usr_id=$pop_user");


$cr_year = date(Y);
$cr_month = date(n);
$cr_month2 = date(m);
$cr_day = date(j);
$cr_day2 = date(d);
$cr_date = $cr_year."-".$cr_month2."-".$cr_day2;

// ----| Hourly table
$get_hour = "i_hr".date("H");
$dbase->query("select ".$get_hour.",i_lu_day from popup_h_istats where usr_id=$pop_user and h_date='$cr_date'");
list($h_impress,$i_lu_day) = $dbase->fetch();
if ($cr_day != $i_lu_day) {
  $dbase->query("insert into popup_h_istats values ($pop_user,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
  $dbase->query("update popup_h_istats set ".$get_hour."=1 where usr_id=$pop_user and h_date='$cr_date'");
}
else {
  // ----| Add
  $h_impress += 1;
  $dbase->query("update popup_h_istats set ".$get_hour."=$h_impress where usr_id=$pop_user and h_date='$cr_date'");
}

$cr_date = $cr_year."-".$cr_month2;

// ----| Daily table
$get_day = "i_ds".date("d");
$dbase->query("select ".$get_day.",i_lu_month from popup_d_istats where usr_id=$pop_user and d_date='$cr_date'");
list($d_impress,$i_lu_month) = $dbase->fetch();
if ($cr_month != $i_lu_month) {
  $dbase->query("insert into popup_d_istats values ($pop_user,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_date')");
  $dbase->query("update popup_d_istats set ".$get_day."=1 where usr_id=$pop_user and d_date='$cr_date'");
}
else {
  // ----| Add
  $d_impress += 1;
  $dbase->query("update popup_d_istats set ".$get_day."=$d_impress where usr_id=$pop_user and d_date='$cr_date'");
}

// ----| Monthly table
$get_month = "i_ms".date("m");
$dbase->query("select ".$get_month.",i_lu_year from popup_m_istats where usr_id=$pop_user and i_lu_year=$cr_year");
list($m_impress,$i_lu_year) = $dbase->fetch();
if ($cr_year != $i_lu_year) {
  $dbase->query("insert into popup_m_istats values ($pop_user,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");
  $dbase->query("update popup_m_istats set ".$get_month."=1 where usr_id=$pop_user and i_lu_year='$cr_year'");
}
else {
  // ----| Add
  $m_impress += 1;
  $dbase->query("update popup_m_istats set ".$get_month."=$m_impress where usr_id=$pop_user and i_lu_year='$cr_year'");
}


$dbase->free();
Header("P3P: CP=\"UNI\"");
SetCookie("adc2kpopup","1",time()+$pop_delay);


echo "<html>\n".
     "<head>\n".
     "<title>$extitle</title>\n".
     "</head>\n".
     "<frameset rows=$pop_height,* border=0 bordercolor=#000000 framespacing=0 frameborder=0 noborder>\n".
     "  <frame name=\"PopUp\" scrolling=no noresize target=\"main\" src=\"$pop_topframe\">\n".
     "  <frame name=\"main\" src=\"$pop_url\" scrolling=auto NORESIZE>\n".
     "</noframes>\n".
     "<noframes>\n".
     "<body>\n".
     "</body>\n".
     "</frameset>\n".
     "</html>\n";

//Header("Location: $pop_url");
exit();
?>
