<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* StartPage-Impression module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");

if ($uid == "") exit();
if (!$red_ok) $red_ok = 0;

$coo_string = select_parse($HTTP_COOKIE,"; ");
$num_coo = count($coo_string);
if ($num_coo <= 0) exit();
for ($i=0; $i<$num_coo; $i++) {
  $coo = select_parse($coo_string[$i],"=");
  switch ($coo[0]) {
   case "strx$uid":
     if ($coo[1] != "already") exit();
     break;
  }
}

$cr_year   = date(Y);
$cr_month  = date(n);
$cr_month2 = date(m);
$cr_day    = date(j);
$cr_day2   = date(d);
$cr_date   = $cr_year."-".$cr_month2."-".$cr_day2;

// ----| Connect to database
$dbase  = new ADC_sql;  $dbase->connect();
$dbase1 = new ADC_sql;  $dbase1->connect();

// ----| Get server's settings
$dbase->query("select strx_defratio,strx_refresh,strx_guard,strx_delaycreds from server_set_strx");
list($strx_defratio,$strx_refresh,$strx_guard,$strx_delaycreds) = $dbase->fetch();
$dbase->query("select adc_dir,extitle from server_set");
list($adc_dir,$extitle) = $dbase->fetch();

// ----| Count users
$dbase->query("select usr_id,ban_id,grp_id,ban_url from banner where ban_upload!='not uploaded' and ban_acpflag=1 and usr_id!=$uid");

if (!($BANCOUNT = $dbase->num_rows())) {
echo "<html>\n".
     "<head>\n".
     "<title>$extitle</title>\n".
     "</head>\n".
     "<frameset rows=$strx_height,* border=0 bordercolor=#000000 framespacing=0 frameborder=0 noborder>\n".
     "  <frame name=\"strx\" scrolling=no noresize target=\"main\" src=\"$strx_topframe?uid=$uid&turl=$adc_dir\">\n".
     "  <frame name=\"main\" src=\"$adc_dir\" scrolling=auto NORESIZE>\n".
     "</noframes>\n".
     "<noframes>\n".
     "<body>\n".
     "</body>\n".
     "</frameset>\n".
     "</html>\n";
  exit();
}
else {
  $while_counter = $BANCOUNT;
  srand(make_seed());

  while($while_counter) {
    // ----| Random range
    if ($BANCOUNT == 1) $randval = 0;
    else $randval = rand(0, $BANCOUNT-1);
    $dbase->seek($randval);
    // ----| Get main information about ban-user
    list($usr_id,$ban_id,$grp_id,$target_url) = $dbase->fetch();

    // ----} Update module
    $dbase1->query("select count(usr_id) from strx_target where usr_id=$usr_id");
    list($chk_var) = $dbase1->fetch();
    if ($chk_var <= 0) {
      $dbase1->query("select count(*) from category");
      list($cnt_cat) = $dbase1->fetch();
      $ct = "ct[]=1";
      for ($i=0; $i<$cnt_cat; $i++) {
        $ct = $ct."&ct[]=1";
      }
      $dbase1->query("insert into strx_target values ($usr_id,'$ct')");
    }
    $dbase1->query("select count(usr_id) from strx_stats where usr_id=$usr_id");
    list($chk_var) = $dbase1->fetch();
    if ($chk_var <= 0) {
      $c_date = date(Y."-".m."-".d); $c_day = date("d")." ".date("M")." ".date("Y");
      $dbase1->query("insert into strx_stats values ($usr_id,'$c_day',0,0)");
      $dbase1->query("select strx_startbonus,strx_defratio from server_set_strx");
      list($strx_startbonus,$strx_defratio) = $dbase1->fetch();
      $dbase1->query("insert into strx_credits values ($usr_id,$strx_startbonus,'$strx_defratio','(N/A)')");
    }
    // ----| End

    $dbase1->query("select category_id from ban_group where grp_id=$grp_id and usr_id=$usr_id");
    list($bcategory) = $dbase1->fetch();

    $dbase1->query("select grp_tcategory from strx_target where usr_id=$usr_id");
    list($grp_tcategory) = $dbase1->fetch();

    $cflg = 0;
    parse_str($grp_tcategory);
    if ($ct[$bcategory] == 1) {
      $dbase1->query("select strx_credits from strx_credits where usr_id=$usr_id");
      list($strx_credits_buid) = $dbase1->fetch();
      if ($strx_credits_buid <= 0) {
        $while_counter -= 1;
        continue;
      }
      else {
        $ct = "";
        $red_ok = 1;

        $dbase1->query("update strx_stats set strx_totalpv=strx_totalpv+1 where usr_id=$usr_id");

        // ----| Update total stats
        $c_day = date(Y."-".m."-".d);
        $dbase1->query("select strxs_today,strxs_day from total_stats_strx");
        list($strxs_today,$strxs_day) = $dbase1->fetch();
        if ($strxs_day == $c_day) $strxs_today += 1;
        else $strxs_today = 0;
        $dbase1->query("update total_stats_strx set strxs_total=strxs_total+1,strxs_today=$strxs_today,strxs_day='$c_day'");
        $dbase1->query("update strx_stats set strx_totalps=strx_totalps+1 where usr_id=$uid");

        // ----| Credits
        list($ratio_x,$ratio_y) = select_parse($strx_defratio,":");
        if (!$ratio_y) $imp_ratio = $ratio_x;
        else $imp_ratio = $ratio_x/$ratio_y;
        //$dbase1->query("update strx_credits set strx_credits=strx_credits+$imp_ratio where usr_id=$uid");
        $dbase1->query("update strx_credits set strx_credits=strx_credits-1 where usr_id=$usr_id");

        // ----| Hourly table
        $get_hour = "i_hr".date("H");
        $dbase1->query("select ".$get_hour.",i_lu_day from strx_h_istats where usr_id=$usr_id and h_date='$cr_date'");
        list($h_impress,$i_lu_day) = $dbase1->fetch();
        if ($cr_day != $i_lu_day) {
          $dbase1->query("insert into strx_h_istats values ($usr_id,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_day,'$cr_date')");
          $dbase1->query("update strx_h_istats set ".$get_hour."=1 where usr_id=$usr_id and h_date='$cr_date'");
        }
        else {
          // ----| Add
          $h_impress += 1;
          $dbase1->query("update strx_h_istats set ".$get_hour."=$h_impress where usr_id=$usr_id and h_date='$cr_date'");
        }

        $cr_date = $cr_year."-".$cr_month2;

        // ----| Daily table
        $get_day = "i_ds".date("d");
        $dbase1->query("select ".$get_day.",i_lu_month from strx_d_istats where usr_id=$usr_id and d_date='$cr_date'");
        list($d_impress,$i_lu_month) = $dbase1->fetch();
        if ($cr_month != $i_lu_month) {
          $dbase1->query("insert into strx_d_istats values ($usr_id,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$cr_month,'$cr_date')");
          $dbase1->query("update strx_d_istats set ".$get_day."=1 where usr_id=$usr_id and d_date='$cr_date'");
        }
        else {
          // ----| Add
          $d_impress += 1;
          $dbase1->query("update strx_d_istats set ".$get_day."=$d_impress where usr_id=$usr_id and d_date='$cr_date'");
        }

        // ----| Monthly table
        $get_month = "i_ms".date("m");
        $dbase->query("select ".$get_month.",i_lu_year from strx_m_istats where usr_id=$usr_id and i_lu_year=$cr_year");
        list($m_impress,$i_lu_year) = $dbase->fetch();
        if ($cr_year != $i_lu_year) {
          $dbase->query("insert into strx_m_istats values ($usr_id,0,0,0,0,0,0,0,0,0,0,0,0,$cr_year)");
          $dbase->query("update strx_m_istats set ".$get_month."=1 where usr_id=$usr_id and i_lu_year='$cr_year'");
        }
        else {
          // ----| Add
          $m_impress += 1;
          $dbase->query("update strx_m_istats set ".$get_month."=$m_impress where usr_id=$usr_id and i_lu_year='$cr_year'");
        }
      }
      break;
    }
    else {
      $while_counter -= 1;
      continue;
    }
  }
}

$dbase->free();

if ($red_ok) {
echo "<html>\n".
     "<head>\n".
     "<title>$extitle</title>\n".
     "</head>\n".
     "<frameset rows=$strx_height,* border=0 bordercolor=#000000 framespacing=0 frameborder=0 noborder>\n".
     "  <frame name=\"strx\" scrolling=no noresize target=\"main\" src=\"$strx_topframe?uid=$uid&turl=$target_url\">\n".
     "  <frame name=\"main\" src=\"$target_url\" scrolling=auto NORESIZE>\n".
     "</noframes>\n".
     "<noframes>\n".
     "<body>\n".
     "</body>\n".
     "</frameset>\n".
     "</html>\n";
  exit();
}
else {
echo "<html>\n".
     "<head>\n".
     "<title>$extitle</title>\n".
     "</head>\n".
     "<frameset rows=$strx_height,* border=0 bordercolor=#000000 framespacing=0 frameborder=0 noborder>\n".
     "  <frame name=\"strx\" scrolling=no noresize target=\"main\" src=\"$strx_topframe?uid=$uid&turl=$adc_dir\">\n".
     "  <frame name=\"main\" src=\"$adc_dir\" scrolling=auto NORESIZE>\n".
     "</noframes>\n".
     "<noframes>\n".
     "<body>\n".
     "</body>\n".
     "</frameset>\n".
     "</html>\n";
  exit();
}
?>
