<?
/*----------------------------- start title -----------------------------------

ADC2000NG Pro - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* TX-Impression module
------------------------------- end title -----------------------------------*/
include("adc2000ng.inc");
Header("Cache-Control: no-cache, must-revalidate");
//$debug_flag = 1;

if ($uid == "") exit();

// ----| Connect to database
$dbase = new ADC_sql;  $dbase->connect();
$dbase1 = new ADC_sql;  $dbase1->connect();
if ($debug_flag) {
  echo "Debug info: ----------| <b>Incoming information</b><br>\n";
  echo "Debug info: UID: $uid<br>\n";
}

// ----| Get server's settings
$dbase->query("select lock_flag,adc_dir,extitle from server_set");
list($lock_flg,$target_url,$extitle) = $dbase->fetch();

// ----| Get user's settings
$dbase->query("select txs_bgcol,txs_fncol,txs_linew,txs_speed from tx_set where usr_id=$uid");
list($tx_bgcol,$tx_fncol,$tx_boxw,$tx_speed) = $dbase->fetch();

srand(make_seed());
$tx_first = rand(0, 10000);
$tx_second = rand(0, 10000);
$bn_show = 0;

// ----|     ratio
$dbase->query("select usr_aflag,tx_impress,tx_defratio from user,tx_credits where user.usr_id=$uid and tx_credits.usr_id=$uid");
list($act_flag,$cred_impression,$impression_ratio) = $dbase->fetch();
if ($act_flag) {
  $cred_impression = $cred_impression + $impression_ratio;
  mysql_query("update tx_credits set tx_impress=$cred_impression where usr_id=$uid");

  // ----|    
  $la = date(Y."-".m."-".d);
  mysql_query("update user set last_activity='$la' where usr_id=$uid");
}

// ----| Count users
$dbase->query("select usr_id,txb_id from banner_tx where usr_id!=$uid and txb_aflag=1");

if (!($USERCOUNT = $dbase->num_rows())) {
  Header("P3P: CP=\"UNI\"");
  SetCookie("t_uid","0");
  SetCookie("b_uid","0");
  SetCookie("url","$target_url");
  $t_uid = 0;
  $b_uid = 0;
  $turl = $target_url;
  $tx_text = $extitle;
}
else {
  $while_counter = $USERCOUNT;
  $t_uid = $uid;
  while($while_counter) {
    if ($USERCOUNT == 1) $randval = 0;
    else $randval = rand(0, $USERCOUNT-1);
    $dbase->seek($randval);
    list($b_uid,$txb_id) = $dbase->fetch();
    if ($debug_flag) {
      echo "Debug info: <b>---------------------------------------------------</b><br>\n";
      echo "Debug info: Random number: $randval<br>\n";
      echo "Debug info: b_uid: $b_uid<br>\n";
      echo "Debug info: txb_id: $txb_id<br>\n";
    }

     $dbase1->query("select usr_aflag,tx_impress,tx_clicks from user,tx_credits where user.usr_id=$b_uid and tx_credits.usr_id=$b_uid");
    list($a_flag,$cred_impression,$cred_click) = $dbase1->fetch();
    $dbase1->free();
    if ($debug_flag) {
      echo "Debug info: a_flag: $a_flag<br>\n";
      echo "Debug info: cred_impression: $cred_impression<br>\n";
      echo "Debug info: cred_click: $cred_click<br>\n";
    }

    if ($a_flag) {
      if ($cred_impression < 1 && $cred_click < 1) {
        // ----|      
        if ($debug_flag) {
          echo "Debug info: no credits for show<br>\n";
        }
        $while_counter = $while_counter - 1;
        continue;
      }
      else {
        $dbase1->query("select txb_url from banner_tx where txb_id=$txb_id");
        list($turl) = $dbase1->fetch();
        $dbase1->free();

        if ($cred_impression) {
          $cred_impression = $cred_impression - 1;
          $dbase1->query("update tx_credits set tx_impress=tx_impress-1 where usr_id=$b_uid");
        }

        // ----| Daily table
        $c_month = date("m");
        $c_date = date("d");
        $dbase1->query("select txds_string,txlu_month from tx_d_stats where usr_id=$b_uid");
        list($ds_string,$lu_month) = $dbase1->fetch();
        parse_str($ds_string);
        if ($c_month != $lu_month) {
          // ----|   daily     
          for ($i=0; $i<=30; $i++) {
            if ($i == ($c_date-1))
              $d_str = $d_str."di[]=1";
            else
              $d_str = $d_str."di[]=0";
            // ----|    
            $d_str = $d_str."&dc[]=0";
            if ($i != 30) $d_str = $d_str."&";
          }
          $dbase1->query("update tx_d_stats set txds_string='$d_str',txlu_month=$c_month where usr_id=$b_uid");
        }
        else {
          // ----| 
          for ($i=0; $i<=30; $i++) {
            if ($i == ($c_date-1)) {
              $di[$i] = $di[$i] + 1;
              $d_str = $d_str."di[]=".$di[$i];
            }
            else
              $d_str = $d_str."di[]=".$di[$i];
            // ----|     
            $d_str = $d_str."&dc[]=".$dc[$i];
            if ($i != 30) $d_str = $d_str."&";
          }
          $dbase1->query("update tx_d_stats set txds_string='$d_str' where usr_id=$b_uid");
        }

        // ----| Hourly table
        $c_hour = date("H");
        $dbase1->query("select txhs_string,txlu_day from tx_h_stats where usr_id=$b_uid");
        list($hs_string,$lu_day) = $dbase1->fetch();
        parse_str($hs_string);
        if ($c_date != $lu_day) {
          // ----|   hourly     
          for ($i=0; $i<=23; $i++) {
            if ($i == $c_hour)
              $h_str = $h_str."hi[]=1";
            else
              $h_str = $h_str."hi[]=0";
            // ----|    
            $h_str = $h_str."&hc[]=0";
            if ($i != 23) $h_str = $h_str."&";
          }
          $dbase1->query("update tx_h_stats set txhs_string='$h_str',txlu_day=$c_date where usr_id=$b_uid");
        }
        else {
          // ----| 
          for ($i=0; $i<=23; $i++) {
            if ($i == $c_hour) {
              $hi[$i] = $hi[$i] + 1;
              $h_str = $h_str."hi[]=".$hi[$i];
            }
            else
              $h_str = $h_str."hi[]=".$hi[$i];
            // ----|     
            $h_str = $h_str."&hc[]=".$hc[$i];
            if ($i != 23) $h_str = $h_str."&";
          }
          $dbase1->query("update tx_h_stats set txhs_string='$h_str' where usr_id=$b_uid");
        }
        $dbase1->query("update banner_tx_total set tx_impress=tx_impress+1 where usr_id=$b_uid");
        $dbase1->query("select txb_text from banner_tx where txb_id=$txb_id");
        list($tx_text) = $dbase1->fetch();
        if ($debug_flag) {
          echo "Debug info: Banner text: $tx_text<br>\n";
        }
        $dbase1->free();
        Header("P3P: CP=\"UNI\"");
        SetCookie("t_uid","$uid");
        SetCookie("b_uid","$b_uid");
        SetCookie("url","$turl");
        $bn_show = 1;
        break;
      }
    }
    $while_counter = $while_counter - 1;
  }  // ----| while

  // ----| No users
  if (!$bn_show) {
    Header("P3P: CP=\"UNI\"");
    SetCookie("t_uid","0");
    SetCookie("b_uid","0");
    SetCookie("url","$target_url");
    $t_uid = 0;
    $b_uid = 0;
    $turl = $target_url;
    $tx_text = $extitle;
  }
}
 echo "
 var marqueewidth$tx_first=$tx_boxw
 var marqueeheight$tx_first=20
 var speed$tx_first=$tx_speed
 var marqueecontents$tx_first='<a href=\"$target_url"."eng_adcrtx2$fext?t_uid=$t_uid&b_uid=$b_uid&turl=$turl\" target=\"_top\"><font color=\"$tx_fncol\" size=3>$tx_text</font></a>'
 var bcolor$tx_first='#$tx_bgcol'
 var bfile$tx_first='$bgimg'

 if (document.all)
   document.write('<marquee scrollAmount='+speed$tx_first+' border=0 bgcolor='+bcolor$tx_first+' style=\"width:'+marqueewidth$tx_first+'\">'+marqueecontents$tx_first+'</marquee>')

 function regenerate$tx_first() {
   window.location.reload()
 }
 function regenerate2$tx_first() {
   if (document.layers) {
   intializemarquee$tx_first()
   }
 }

 function intializemarquee$tx_first() {
   document.cmarquee$tx_first.document.cmarquee$tx_second.document.write('<nobr>'+marqueecontents$tx_first+'</nobr>')
   document.cmarquee$tx_first.document.cmarquee$tx_second.document.close()
   thelength$tx_first=document.cmarquee$tx_first.document.cmarquee$tx_second.document.width
   scrollit$tx_first()
 }

 function scrollit$tx_first() {
   if (document.cmarquee$tx_first.document.cmarquee$tx_second.left>=thelength$tx_first*(-1)) {
   document.cmarquee$tx_first.document.cmarquee$tx_second.left-=speed$tx_first
   tx=setTimeout(\"scrollit$tx_first()\",100)
   }
   else {
     document.cmarquee$tx_first.document.cmarquee$tx_second.left=marqueewidth$tx_first
     scrollit$tx_first()
   }
 }

 document.write('<ilayer width='+marqueewidth$tx_first+' height='+marqueeheight$tx_first+' name=\"cmarquee$tx_first\" bgcolor='+bcolor$tx_first+'>')
 document.write('<layer name=\"cmarquee$tx_second\"></layer>')
 document.write('</ilayer>')
 window.onload=regenerate2$tx_first";

 $dbase->free();
 exit();
?>
